本文へスキップ

ポートの作成

前提条件

Authenticate - OAuth2認証のためのユーザー認証情報、クライアントID、クライアントシークレットを送信します。OAuth APIを呼び出して認証情報を検証および認証する方法については、API認証を参照してください。

ポートの作成

ポートを作成するには、/fabric/v4/ports エンドポイントに POST リクエストを送信します。

MethodPOST
URL or Endpoint/fabric/v4/ports
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersdryRun
Body Parameterstype, id, uuid, name, description, physicalPortsSpeed, connectionsCount, physicalPortsType, physicalPortsCount, connectivitySourceType, bmmrType, project, state, order, cvpId, operation, account, change, changeLog, availableBandwidth, usedBandwidth, location, device, interface, demarcationPointIbx, tetherIbx, demarcationPoint, redundancy, encapsulation, lagEnabled, lag, asn, package, settings, physicalPortQuantity, notifications, additionalInfo, endCustomer, physicalPorts, loas

リソースを作成または変更せずに本番環境でこのリクエストを安全に検証するには、[本番環境でのテスト(APIドライラン)](../../equinix-api/testing/testing-in-production-dry-run.md)を参照してください。

サンプルcURLリクエスト - コロケーション、非LAGポート:

curl -X POST 'https://api.equinix.com/fabric/v4/ports'
-H 'Content-Type: application/json'
-H 'Authorization: Bearer <token>'
-d '{
"type": "XF_PORT",
"physicalPortsSpeed": 1000,
"physicalPortsType": "1000BASE_LX",
"connectivitySourceType": "COLO",
"location": {
"metroCode": "GV"
},
"demarcationPointIbx": "GV1",
"package": {
"code": "STANDARD"
},
"lagEnabled": false,
"encapsulation": {
"type": "DOT1Q",
"tagProtocolId": 33024
},
"project": {
"projectId": "8f23b36f-db8f-44c8-a6e5-606e1b485931"
},
"account": {
"accountNumber": 270848
},
"notifications": [
{
"registeredUsers": [
"jaguarsuser-port-order"
],
"type": "TECHNICAL"
}
],
"order": {
"purchaseOrder": {
"number": 156576,
"amount": 10,
"startDate": "2018-06-11T22:25:52.206Z",
"endDate": "2018-07-11T22:25:52.206Z",
"type": "NEW"
},
"signature": {
"signatory": "DELEGATE",
"delegate": {
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@company.com"
}
}
},
"physicalPorts": [
{
"demarcationPoint": {
"ibx": "GV1",
"cabinetUniqueSpaceId": "Demarc",
"cageUniqueSpaceId": "GV1:01:002174",
"patchPanel": "CP:Demarc:1259684",
"connectorType": "SC"
}
}
]
}'

回答例

{
"type": "XF_PORT",
"physicalPortsType": "10GBASE_L",
"physicalPortsSpeed": 10000,
"physicalPortsCount": 1,
"location": {
"metroCode": "AM"
},
"demarcationPointIbx": "AM1",
"redundancy": {
"group": 1,
"priority": "PRIMARY"
},
"lagEnabled": true,
"encapsulation": {
"type": "DOT1Q",
"tagProtocolId": 33024
},
"package": {
"code": "STANDARD"
},
"settings": {
"sharedPortType": false
},
"project": {
"projectId": 567
},
"account": {
"accountNumber": 1000
},
"order": {
"orderNumber": "1-207799950758",
"signature": {
"signatory": "DELEGATE",
"delegate": {
"email": "testEmail1@equinix.com"
}
}
},
"notifications": [
{
"type": "TECHNICAL",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "NOTIFICATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "PEERING",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "ESCALATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
}
]
}

レスポンスの詳細な説明やその他の例については、APIリファレンスを参照してください。

このページは役に立ちましたか?